Skip to navigation

Returns the tax identifier request and response schema for a specific country.

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Returns the tax identifier request and response schema for a specific country.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

avalara-versionstringRequired

Header that specifies the API version to use (for example “1.6”).

X-Avalara-ClientstringOptional

Optional header for a client identifier string used for diagnostics (for example “Fingerprint”).

X-Correlation-IDstringOptionalformat: "string"

Optional correlation identifier provided by the caller to trace the call (for example “f3f0d19a-01a1-4748-8a58-f000d0424f43”).

Query parameters

countryCodestringRequired

Two-letter ISO 3166 country code for which to retrieve the schema (for example “DE”).

typeenumOptional

Specifies which schema to return: “request” to receive the request validation schema or “response” to receive the response validation schema.

Allowed values:

Response headers

X-Correlation-IDstringOptional

Response

Returns an object containing countryCode, schemaType, and schema. The schema property contains a JSON Schema (Draft-07) used to validate tax identifier requests or responses for the specified country.

countryCodestring

The two-letter ISO-3166 country code of the tax identifier.

schemaTypestring

The type of schema returned: “request” or “response”.

schemaobject

The JSON Schema definition, following Draft-07 specification, used to validate tax identifier data.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error